Skip to main content

Get document attribute by key

GET 

/documents/:documentId/attributes/:attributeKey

Get a document attribute by using its key

Request

Path Parameters

    documentId stringrequired

    Document Identifier

    attributeKey stringrequired

    Attribute Key

Query Parameters

    siteId string

    Site Identifier

    artifactId string

    Artifact Document Identifier

Responses

200 OK

Response Headers

  • Access-Control-Allow-Origin

    string

  • Access-Control-Allow-Methods

    string

  • Access-Control-Allow-Headers

    string

Schema

    attribute

    object

    key string

    Attribute key

    stringValue string

    Attribute with string value

    stringValues string[]

    Attribute with string values

    numberValue number

    Attribute with number value

    numberValues number[]

    Attribute with number values

    booleanValue boolean

    Attribute with boolean value

    insertedDate string

    Inserted Timestamp

    userId string

    User who added attribute

    valueType AttributeValueType (string)

    Attribute Value Type

    Possible values: [BOOLEAN, KEY_ONLY, NUMBER, STRING, PUBLICATION, CLASSIFICATION, COMPOSITE_STRING, RELATIONSHIPS, WATERMARK, ENTITY]

    entity

    object

    entityId string

    Entity identifier

    entityTypeId string

    Entity Type identifier

    name string

    Entity Name

    insertedDate string

    Inserted Timestamp

    attributes

    object[]

    List of Entity Attributes

  • Array [

  • key string

    Attribute key

    stringValue string

    Attribute with string value

    stringValues string[]

    Attribute with string values

    numberValue number

    Attribute with number value

    numberValues number[]

    Attribute with number values

    booleanValue boolean

    Attribute with boolean value

    valueType AttributeValueType (string)

    Attribute Value Type

    Possible values: [BOOLEAN, KEY_ONLY, NUMBER, STRING, PUBLICATION, CLASSIFICATION, COMPOSITE_STRING, RELATIONSHIPS, WATERMARK, ENTITY]

  • ]

  • entities

    object[]

    Attribute with entity values

  • Array [

  • entityId string

    Entity identifier

    entityTypeId string

    Entity Type identifier

    name string

    Entity Name

    insertedDate string

    Inserted Timestamp

    attributes

    object[]

    List of Entity Attributes

  • Array [

  • key string

    Attribute key

    stringValue string

    Attribute with string value

    stringValues string[]

    Attribute with string values

    numberValue number

    Attribute with number value

    numberValues number[]

    Attribute with number values

    booleanValue boolean

    Attribute with boolean value

    valueType AttributeValueType (string)

    Attribute Value Type

    Possible values: [BOOLEAN, KEY_ONLY, NUMBER, STRING, PUBLICATION, CLASSIFICATION, COMPOSITE_STRING, RELATIONSHIPS, WATERMARK, ENTITY]

  • ]

  • ]

Loading...